Mage API · 影片模型

Blueberry API

鎖定首幀與尾幀

取得 API 金鑰在體驗區試用 Blueberry
POST https://api.mage.space/v1/blueberry/generate

重點速覽

Blueberry API 透過 Mage 執行 Blueberry 及另外 1 個版本,端點為 POST https://api.mage.space/v1/blueberry/generate。以預設設定發出請求費用為 360 Gems(約 $0.36),無需訂閱。Blueberry 可在提示詞中透過 @handle 使用已儲存的音訊參考。

總覽

Blueberry API 能做什麼

設定首幀與尾幀,就能看它補上中間的動態,還能加上音訊。長度 2 到 15 秒,解析度 720p 或 1080p。

這是一款能在首幀與尾幀之間補上動態並加入音訊的影片模型;Blueberry 2 為目前的最新版本。

可接受 first_image、last_image 作為輸入。

快速開始

呼叫 Blueberry API

設定 MAGE_API_KEY,提交到 /blueberry/generate,然後輪詢 status_url,直到請求完成。

cURL
STATUS_URL=$(curl --request POST 'https://api.mage.space/v1/blueberry/generate' \
  --header "Authorization: Bearer $MAGE_API_KEY" \
  --header 'Content-Type: application/json' \
  --data '{
  "prompt": "A slow push-in on a lighthouse at dusk, waves breaking below",
  "aspect_ratio": "16:9",
  "duration": "4",
  "model_id": "blueberry-v2"
}' | jq -r '.status_url')

# Repeat until status is "completed"; result.url is the file
curl "$STATUS_URL" --header "Authorization: Bearer $MAGE_API_KEY"
TypeScript
// npm install @mage-space/sdk
import Mage from '@mage-space/sdk';

const mage = new Mage(); // reads MAGE_API_KEY

const request = await mage.run('blueberry', {
  prompt: 'A slow push-in on a lighthouse at dusk, waves breaking below',
  aspect_ratio: '16:9',
  duration: '4',
  model_id: 'blueberry-v2',
});

console.log(request.result.url);
Python
# pip install mage-space
from mage_space import Mage

mage = Mage()  # reads MAGE_API_KEY

request = mage.run("blueberry", {
    "prompt": "A slow push-in on a lighthouse at dusk, waves breaking below",
    "aspect_ratio": "16:9",
    "duration": "4",
    "model_id": "blueberry-v2",
})

print(request["result"]["url"])

模型

Blueberry 的 model_id 值

傳入 model_id 即可選擇版本。未指定時,請求會使用預設版本。

model_id名稱預設
blueberryBlueberry
blueberry-v2Blueberry是

選項

Blueberry 參數

以下為所有版本可接受的值;個別版本可能提供較少選項。各版本的選項請參閱文件。

欄位可用值
aspect_ratio16:9, 4:3, 1:1, 3:4, 9:16
resolution720p, 1080p
duration2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15

輸入

Blueberry 接受的媒體輸入

每個輸入可使用 https URL、data URL,或上傳最大 100 MB 的檔案。

欄位用途
first_image第一格畫面的圖片。
last_image尾幀圖片。

規則

Blueberry API 的限制規則

更多影片模型

Mage 上的其他影片生成 API

影片 · 每次 618 Gems 起

Cherry API

我們的旗艦影片系列

影片 · 375 Gems 起

Grok Video API

讓 Grok Imagine 動起來

影片 · 270 Gems 起

Kiwi API

日常影片,免設定

影片 · 每次 245 Gems 起

Lemon API

完整影片功能,價格更親民

影片 · 20 Gems 起

LTX Video API

快速的開放權重影片模型,適合反覆調整

影片 · 147 Gems 起

Melon API

讓動漫動起來,可選配音訊

常見問題

常見問題

Blueberry API 的費用是多少?

以預設設定(Blueberry)發出一次 Blueberry 請求,費用為 360 Gems,約 $0.36。其他解析度、長度和版本會影響價格,實際扣款金額會顯示在回應中。生成失敗會退還 Gems;若內容被 Mage 的內容政策擋下,則不會退還。

Blueberry API 的端點是什麼?

使用 POST 請求 https://api.mage.space/v1/blueberry/generate,並在 Authorization: Bearer 標頭中帶入你的 Mage API 金鑰。回應中會包含 status_url,可用來輪詢結果。

可以呼叫哪些 Blueberry 模型?

blueberry、blueberry-v2。預設為 Blueberry。

Blueberry 支援參考圖片或角色嗎?

Blueberry 支援 first_image、last_image。你可以在提示詞中用 @handle 呼叫已儲存的音訊參考。

我可以在 Claude 或 ChatGPT 中使用 Blueberry 嗎?

可以。將 Mage MCP 伺服器連接到 Claude、ChatGPT、Claude Code、Grok 或 Cursor,然後直接指名要用 Blueberry。你的助理會透過 get_model 讀取可用選項,並在生成前告知價格。

Blueberry 的生成結果會保存多久?

結果與輸入內容會保存 30 天。想留存的內容,請自行下載到你的儲存空間。

開始使用 Mage 打造你的作品

一個帳號、一份 Gems 餘額,通用所有模型。只需為你生成的內容付費。

取得 API 金鑰在體驗區試用 Blueberry

相關內容